import influxframework


def execute():
	influxframework.reload_doc("core", "doctype", "doctype_link")
	influxframework.reload_doc("core", "doctype", "doctype_action")
	influxframework.reload_doc("core", "doctype", "doctype")
	influxframework.model.delete_fields(
		{"DocType": ["hide_heading", "image_view", "read_only_onload"]}, delete=1
	)

	influxframework.db.delete("Property Setter", {"property": "read_only_onload"})
